Fix build on sparc64-linux-gnu.
[official-gcc.git] / libitm / Makefile.in
blobd7235898fe6014fc88c48e34aeb533a1955e509f
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20 if test -z '$(MAKELEVEL)'; then \
21 false; \
22 elif test -n '$(MAKE_HOST)'; then \
23 true; \
24 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25 true; \
26 else \
27 false; \
28 fi; \
30 am__make_running_with_option = \
31 case $${target_option-} in \
32 ?) ;; \
33 *) echo "am__make_running_with_option: internal error: invalid" \
34 "target option '$${target_option-}' specified" >&2; \
35 exit 1;; \
36 esac; \
37 has_opt=no; \
38 sane_makeflags=$$MAKEFLAGS; \
39 if $(am__is_gnu_make); then \
40 sane_makeflags=$$MFLAGS; \
41 else \
42 case $$MAKEFLAGS in \
43 *\\[\ \ ]*) \
44 bs=\\; \
45 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
47 esac; \
48 fi; \
49 skip_next=no; \
50 strip_trailopt () \
51 { \
52 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53 }; \
54 for flg in $$sane_makeflags; do \
55 test $$skip_next = yes && { skip_next=no; continue; }; \
56 case $$flg in \
57 *=*|--*) continue;; \
58 -*I) strip_trailopt 'I'; skip_next=yes;; \
59 -*I?*) strip_trailopt 'I';; \
60 -*O) strip_trailopt 'O'; skip_next=yes;; \
61 -*O?*) strip_trailopt 'O';; \
62 -*l) strip_trailopt 'l'; skip_next=yes;; \
63 -*l?*) strip_trailopt 'l';; \
64 -[dEDm]) skip_next=yes;; \
65 -[JT]) skip_next=yes;; \
66 esac; \
67 case $$flg in \
68 *$$target_option*) has_opt=yes; break;; \
69 esac; \
70 done; \
71 test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 target_triplet = @target@
93 @ARCH_ARM_TRUE@am__append_1 = hwcap.cc
94 @ARCH_X86_TRUE@am__append_2 = x86_sse.cc x86_avx.cc
95 @ARCH_FUTEX_TRUE@am__append_3 = futex.cc
96 subdir = .
97 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
99 $(top_srcdir)/../config/asmcfi.m4 \
100 $(top_srcdir)/../config/depstand.m4 \
101 $(top_srcdir)/../config/enable.m4 \
102 $(top_srcdir)/../config/futex.m4 \
103 $(top_srcdir)/../config/hwcaps.m4 \
104 $(top_srcdir)/../config/lead-dot.m4 \
105 $(top_srcdir)/../config/mmap.m4 \
106 $(top_srcdir)/../config/multi.m4 \
107 $(top_srcdir)/../config/override.m4 \
108 $(top_srcdir)/../config/stdint.m4 \
109 $(top_srcdir)/../config/tls.m4 \
110 $(top_srcdir)/../config/weakref.m4 \
111 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
112 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
113 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../libtool.m4 \
114 $(top_srcdir)/../config/cet.m4 $(top_srcdir)/configure.ac
115 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116 $(ACLOCAL_M4)
117 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118 $(am__configure_deps)
119 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120 configure.lineno config.status.lineno
121 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
122 CONFIG_HEADER = config.h
123 CONFIG_CLEAN_FILES = libitm.spec
124 CONFIG_CLEAN_VPATH_FILES =
125 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
126 am__vpath_adj = case $$p in \
127 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
128 *) f=$$p;; \
129 esac;
130 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
131 am__install_max = 40
132 am__nobase_strip_setup = \
133 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
134 am__nobase_strip = \
135 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
136 am__nobase_list = $(am__nobase_strip_setup); \
137 for p in $$list; do echo "$$p $$p"; done | \
138 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
139 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
140 if (++n[$$2] == $(am__install_max)) \
141 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
142 END { for (dir in files) print dir, files[dir] }'
143 am__base_list = \
144 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
145 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
146 am__uninstall_files_from_dir = { \
147 test -z "$$files" \
148 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
149 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
150 $(am__cd) "$$dir" && rm -f $$files; }; \
152 am__installdirs = "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" \
153 "$(DESTDIR)$(toolexeclibdir)"
154 LTLIBRARIES = $(toolexeclib_LTLIBRARIES)
155 libitm_la_LIBADD =
156 @ARCH_ARM_TRUE@am__objects_1 = hwcap.lo
157 @ARCH_X86_TRUE@am__objects_2 = x86_sse.lo x86_avx.lo
158 @ARCH_FUTEX_TRUE@am__objects_3 = futex.lo
159 am_libitm_la_OBJECTS = aatree.lo alloc.lo alloc_c.lo alloc_cpp.lo \
160 barrier.lo beginend.lo clone.lo eh_cpp.lo local.lo query.lo \
161 retry.lo rwlock.lo useraction.lo util.lo sjlj.lo tls.lo \
162 method-serial.lo method-gl.lo method-ml.lo $(am__objects_1) \
163 $(am__objects_2) $(am__objects_3)
164 libitm_la_OBJECTS = $(am_libitm_la_OBJECTS)
165 AM_V_P = $(am__v_P_@AM_V@)
166 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
167 am__v_P_0 = false
168 am__v_P_1 = :
169 AM_V_GEN = $(am__v_GEN_@AM_V@)
170 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
171 am__v_GEN_0 = @echo " GEN " $@;
172 am__v_GEN_1 =
173 AM_V_at = $(am__v_at_@AM_V@)
174 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
175 am__v_at_0 = @
176 am__v_at_1 =
177 DEFAULT_INCLUDES = -I.@am__isrc@
178 depcomp = $(SHELL) $(top_srcdir)/../depcomp
179 am__depfiles_maybe = depfiles
180 am__mv = mv -f
181 CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
182 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
183 AM_V_lt = $(am__v_lt_@AM_V@)
184 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
185 am__v_lt_0 = --silent
186 am__v_lt_1 =
187 LTCPPASCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
188 $(LIBTOOLFLAGS) --mode=compile $(CCAS) $(DEFS) \
189 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
190 $(AM_CCASFLAGS) $(CCASFLAGS)
191 AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
192 am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
193 am__v_CPPAS_0 = @echo " CPPAS " $@;
194 am__v_CPPAS_1 =
195 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
196 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
197 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198 $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
199 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
200 $(AM_CXXFLAGS) $(CXXFLAGS)
201 AM_V_CXX = $(am__v_CXX_@AM_V@)
202 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
203 am__v_CXX_0 = @echo " CXX " $@;
204 am__v_CXX_1 =
205 CXXLD = $(CXX)
206 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
207 $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
208 $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
209 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
210 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
211 am__v_CXXLD_0 = @echo " CXXLD " $@;
212 am__v_CXXLD_1 =
213 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
214 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
215 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
217 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
218 $(AM_CFLAGS) $(CFLAGS)
219 AM_V_CC = $(am__v_CC_@AM_V@)
220 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
221 am__v_CC_0 = @echo " CC " $@;
222 am__v_CC_1 =
223 CCLD = $(CC)
224 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
226 $(AM_LDFLAGS) $(LDFLAGS) -o $@
227 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
228 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
229 am__v_CCLD_0 = @echo " CCLD " $@;
230 am__v_CCLD_1 =
231 SOURCES = $(libitm_la_SOURCES)
232 AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
233 am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
234 am__v_DVIPS_0 = @echo " DVIPS " $@;
235 am__v_DVIPS_1 =
236 AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
237 am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
238 am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
239 am__v_MAKEINFO_1 =
240 AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
241 am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
242 am__v_INFOHTML_0 = @echo " INFOHTML" $@;
243 am__v_INFOHTML_1 =
244 AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
245 am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
246 am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
247 am__v_TEXI2DVI_1 =
248 AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
249 am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
250 am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
251 am__v_TEXI2PDF_1 =
252 AM_V_texinfo = $(am__v_texinfo_@AM_V@)
253 am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
254 am__v_texinfo_0 = -q
255 am__v_texinfo_1 =
256 AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
257 am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
258 am__v_texidevnull_0 = > /dev/null
259 am__v_texidevnull_1 =
260 INFO_DEPS = libitm.info
261 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
262 DVIS = libitm.dvi
263 PDFS = libitm.pdf
264 PSS = libitm.ps
265 HTMLS = libitm.html
266 TEXINFOS = libitm.texi
267 TEXI2DVI = texi2dvi
268 TEXI2PDF = $(TEXI2DVI) --pdf --batch
269 MAKEINFOHTML = $(MAKEINFO) --html
270 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
271 DVIPS = dvips
272 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
273 ctags-recursive dvi-recursive html-recursive info-recursive \
274 install-data-recursive install-dvi-recursive \
275 install-exec-recursive install-html-recursive \
276 install-info-recursive install-pdf-recursive \
277 install-ps-recursive install-recursive installcheck-recursive \
278 installdirs-recursive pdf-recursive ps-recursive \
279 tags-recursive uninstall-recursive
280 am__can_run_installinfo = \
281 case $$AM_UPDATE_INFO_DIR in \
282 n|no|NO) false;; \
283 *) (install-info --version) >/dev/null 2>&1;; \
284 esac
285 HEADERS = $(nodist_toolexeclib_HEADERS)
286 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
287 distclean-recursive maintainer-clean-recursive
288 am__recursive_targets = \
289 $(RECURSIVE_TARGETS) \
290 $(RECURSIVE_CLEAN_TARGETS) \
291 $(am__extra_recursive_targets)
292 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
293 cscope
294 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
295 $(LISP)config.h.in
296 # Read a list of newline-separated strings from the standard input,
297 # and print each of them once, without duplicates. Input order is
298 # *not* preserved.
299 am__uniquify_input = $(AWK) '\
300 BEGIN { nonempty = 0; } \
301 { items[$$0] = 1; nonempty = 1; } \
302 END { if (nonempty) { for (i in items) print i; }; } \
304 # Make sure the list of sources is unique. This is necessary because,
305 # e.g., the same source file might be shared among _SOURCES variables
306 # for different programs/libraries.
307 am__define_uniq_tagged_files = \
308 list='$(am__tagged_files)'; \
309 unique=`for i in $$list; do \
310 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
311 done | $(am__uniquify_input)`
312 ETAGS = etags
313 CTAGS = ctags
314 CSCOPE = cscope
315 DIST_SUBDIRS = $(SUBDIRS)
316 ACLOCAL = @ACLOCAL@
317 AMTAR = @AMTAR@
318 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
319 AR = @AR@
320 AUTOCONF = @AUTOCONF@
321 AUTOHEADER = @AUTOHEADER@
322 AUTOMAKE = @AUTOMAKE@
323 AWK = @AWK@
324 CC = @CC@
325 CCAS = @CCAS@
326 CCASDEPMODE = @CCASDEPMODE@
327 CCASFLAGS = @CCASFLAGS@
328 CCDEPMODE = @CCDEPMODE@
329 CFLAGS = @CFLAGS@
330 CPP = @CPP@
331 CPPFLAGS = @CPPFLAGS@
332 CXX = @CXX@
333 CXXCPP = @CXXCPP@
334 CXXDEPMODE = @CXXDEPMODE@
335 CXXFLAGS = @CXXFLAGS@
336 CYGPATH_W = @CYGPATH_W@
337 DEFS = @DEFS@
338 DEPDIR = @DEPDIR@
339 DSYMUTIL = @DSYMUTIL@
340 DUMPBIN = @DUMPBIN@
341 ECHO_C = @ECHO_C@
342 ECHO_N = @ECHO_N@
343 ECHO_T = @ECHO_T@
344 EGREP = @EGREP@
345 EXEEXT = @EXEEXT@
346 FGREP = @FGREP@
347 GREP = @GREP@
348 HWCAP_LDFLAGS = @HWCAP_LDFLAGS@
349 INSTALL = @INSTALL@
350 INSTALL_DATA = @INSTALL_DATA@
351 INSTALL_PROGRAM = @INSTALL_PROGRAM@
352 INSTALL_SCRIPT = @INSTALL_SCRIPT@
353 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
354 LD = @LD@
355 LDFLAGS = @LDFLAGS@
356 LIBOBJS = @LIBOBJS@
357 LIBS = @LIBS@
358 LIBTOOL = @LIBTOOL@
359 LIPO = @LIPO@
360 LN_S = @LN_S@
361 LTLIBOBJS = @LTLIBOBJS@
362 MAINT = @MAINT@
363 MAKEINFO = @MAKEINFO@
364 MKDIR_P = @MKDIR_P@
365 NM = @NM@
366 NMEDIT = @NMEDIT@
367 OBJDUMP = @OBJDUMP@
368 OBJEXT = @OBJEXT@
369 OPT_LDFLAGS = @OPT_LDFLAGS@
370 OTOOL = @OTOOL@
371 OTOOL64 = @OTOOL64@
372 PACKAGE = @PACKAGE@
373 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
374 PACKAGE_NAME = @PACKAGE_NAME@
375 PACKAGE_STRING = @PACKAGE_STRING@
376 PACKAGE_TARNAME = @PACKAGE_TARNAME@
377 PACKAGE_URL = @PACKAGE_URL@
378 PACKAGE_VERSION = @PACKAGE_VERSION@
379 PATH_SEPARATOR = @PATH_SEPARATOR@
380 PERL = @PERL@
381 RANLIB = @RANLIB@
382 SECTION_LDFLAGS = @SECTION_LDFLAGS@
383 SED = @SED@
384 SET_MAKE = @SET_MAKE@
385 SHELL = @SHELL@
386 STRIP = @STRIP@
387 VERSION = @VERSION@
388 XCFLAGS = @XCFLAGS@
389 XLDFLAGS = @XLDFLAGS@
390 abs_builddir = @abs_builddir@
391 abs_srcdir = @abs_srcdir@
392 abs_top_builddir = @abs_top_builddir@
393 abs_top_srcdir = @abs_top_srcdir@
394 ac_ct_CC = @ac_ct_CC@
395 ac_ct_CXX = @ac_ct_CXX@
396 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
397 am__include = @am__include@
398 am__leading_dot = @am__leading_dot@
399 am__quote = @am__quote@
400 am__tar = @am__tar@
401 am__untar = @am__untar@
402 bindir = @bindir@
403 build = @build@
404 build_alias = @build_alias@
405 build_cpu = @build_cpu@
406 build_os = @build_os@
407 build_vendor = @build_vendor@
408 builddir = @builddir@
409 config_path = @config_path@
410 datadir = @datadir@
411 datarootdir = @datarootdir@
412 docdir = @docdir@
413 dvidir = @dvidir@
414 enable_shared = @enable_shared@
415 enable_static = @enable_static@
416 exec_prefix = @exec_prefix@
417 get_gcc_base_ver = @get_gcc_base_ver@
418 host = @host@
419 host_alias = @host_alias@
420 host_cpu = @host_cpu@
421 host_os = @host_os@
422 host_vendor = @host_vendor@
423 htmldir = @htmldir@
424 includedir = @includedir@
425 infodir = @infodir@
426 install_sh = @install_sh@
427 libdir = @libdir@
428 libexecdir = @libexecdir@
429 libtool_VERSION = @libtool_VERSION@
430 link_itm = @link_itm@
431 localedir = @localedir@
432 localstatedir = @localstatedir@
433 mandir = @mandir@
434 mkdir_p = @mkdir_p@
435 multi_basedir = @multi_basedir@
436 oldincludedir = @oldincludedir@
437 pdfdir = @pdfdir@
438 prefix = @prefix@
439 program_transform_name = @program_transform_name@
440 psdir = @psdir@
441 sbindir = @sbindir@
442 sharedstatedir = @sharedstatedir@
443 srcdir = @srcdir@
444 sysconfdir = @sysconfdir@
445 target = @target@
446 target_alias = @target_alias@
447 target_cpu = @target_cpu@
448 target_os = @target_os@
449 target_vendor = @target_vendor@
450 toolexecdir = @toolexecdir@
451 toolexeclibdir = @toolexeclibdir@
452 top_build_prefix = @top_build_prefix@
453 top_builddir = @top_builddir@
454 top_srcdir = @top_srcdir@
455 AUTOMAKE_OPTIONS = info-in-builddir
456 ACLOCAL_AMFLAGS = -I .. -I ../config
457 SUBDIRS = testsuite
458 gcc_version := $(shell @get_gcc_base_ver@ $(top_srcdir)/../gcc/BASE-VER)
459 abi_version = -fabi-version=4
460 search_path = $(addprefix $(top_srcdir)/config/, $(config_path)) $(top_srcdir)
461 fincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/finclude
462 libsubincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/include
463 AM_CPPFLAGS = $(addprefix -I, $(search_path))
464 AM_CFLAGS = $(XCFLAGS)
465 AM_CXXFLAGS = $(XCFLAGS) -std=gnu++0x -funwind-tables -fno-exceptions \
466 -fno-rtti $(abi_version)
468 AM_CCASFLAGS = $(XCFLAGS)
469 AM_LDFLAGS = $(XLDFLAGS) $(SECTION_LDFLAGS) $(OPT_LDFLAGS) $(HWCAP_LDFLAGS)
470 toolexeclib_LTLIBRARIES = libitm.la
471 nodist_toolexeclib_HEADERS = libitm.spec
472 @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_script =
473 @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,--version-script,$(top_srcdir)/libitm.map
474 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,-M,libitm.map-sun
475 @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_dep =
476 @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = $(top_srcdir)/libitm.map
477 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = libitm.map-sun
478 libitm_version_info = -version-info $(libtool_VERSION)
480 # Force link with C, not C++. For now, while we're using C++ we don't
481 # want or need libstdc++.
482 libitm_la_DEPENDENCIES = $(libitm_version_dep)
483 libitm_la_LINK = $(LINK) $(libitm_la_LDFLAGS)
484 libitm_la_LDFLAGS = $(libitm_version_info) $(libitm_version_script)
485 libitm_la_SOURCES = aatree.cc alloc.cc alloc_c.cc alloc_cpp.cc \
486 barrier.cc beginend.cc clone.cc eh_cpp.cc local.cc query.cc \
487 retry.cc rwlock.cc useraction.cc util.cc sjlj.S tls.cc \
488 method-serial.cc method-gl.cc method-ml.cc $(am__append_1) \
489 $(am__append_2) $(am__append_3)
491 # Automake Documentation:
492 # If your package has Texinfo files in many directories, you can use the
493 # variable TEXINFO_TEX to tell Automake where to find the canonical
494 # `texinfo.tex' for your package. The value of this variable should be
495 # the relative path from the current `Makefile.am' to `texinfo.tex'.
496 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
498 # Defines info, dvi, pdf and html targets
499 MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
500 info_TEXINFOS = libitm.texi
501 @GENINSRC_FALSE@STAMP_GENINSRC =
503 # AM_CONDITIONAL on configure option --generated-files-in-srcdir
504 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
505 @BUILD_INFO_FALSE@STAMP_BUILD_INFO =
507 # AM_CONDITIONAL on configure check ACX_CHECK_PROG_VER([MAKEINFO])
508 @BUILD_INFO_TRUE@STAMP_BUILD_INFO = stamp-build-info
509 CLEANFILES = $(STAMP_GENINSRC) $(STAMP_BUILD_INFO)
510 MAINTAINERCLEANFILES = $(srcdir)/libitm.info
511 MULTISRCTOP =
512 MULTIBUILDTOP =
513 MULTIDIRS =
514 MULTISUBDIR =
515 MULTIDO = true
516 MULTICLEAN = true
517 all: config.h
518 $(MAKE) $(AM_MAKEFLAGS) all-recursive
520 .SUFFIXES:
521 .SUFFIXES: .S .cc .dvi .lo .o .obj .ps
522 am--refresh: Makefile
524 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/../multilib.am $(am__configure_deps)
525 @for dep in $?; do \
526 case '$(am__configure_deps)' in \
527 *$$dep*) \
528 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
529 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
530 && exit 0; \
531 exit 1;; \
532 esac; \
533 done; \
534 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
535 $(am__cd) $(top_srcdir) && \
536 $(AUTOMAKE) --foreign Makefile
537 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
538 @case '$?' in \
539 *config.status*) \
540 echo ' $(SHELL) ./config.status'; \
541 $(SHELL) ./config.status;; \
542 *) \
543 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
544 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
545 esac;
546 $(top_srcdir)/../multilib.am $(am__empty):
548 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
549 $(SHELL) ./config.status --recheck
551 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
552 $(am__cd) $(srcdir) && $(AUTOCONF)
553 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
554 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
555 $(am__aclocal_m4_deps):
557 config.h: stamp-h1
558 @test -f $@ || rm -f stamp-h1
559 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
561 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
562 @rm -f stamp-h1
563 cd $(top_builddir) && $(SHELL) ./config.status config.h
564 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
565 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
566 rm -f stamp-h1
567 touch $@
569 distclean-hdr:
570 -rm -f config.h stamp-h1
571 libitm.spec: $(top_builddir)/config.status $(srcdir)/libitm.spec.in
572 cd $(top_builddir) && $(SHELL) ./config.status $@
574 install-toolexeclibLTLIBRARIES: $(toolexeclib_LTLIBRARIES)
575 @$(NORMAL_INSTALL)
576 @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
577 list2=; for p in $$list; do \
578 if test -f $$p; then \
579 list2="$$list2 $$p"; \
580 else :; fi; \
581 done; \
582 test -z "$$list2" || { \
583 echo " $(MKDIR_P) '$(DESTDIR)$(toolexeclibdir)'"; \
584 $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)" || exit 1; \
585 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
586 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
589 uninstall-toolexeclibLTLIBRARIES:
590 @$(NORMAL_UNINSTALL)
591 @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
592 for p in $$list; do \
593 $(am__strip_dir) \
594 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
595 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(toolexeclibdir)/$$f"; \
596 done
598 clean-toolexeclibLTLIBRARIES:
599 -test -z "$(toolexeclib_LTLIBRARIES)" || rm -f $(toolexeclib_LTLIBRARIES)
600 @list='$(toolexeclib_LTLIBRARIES)'; \
601 locs=`for p in $$list; do echo $$p; done | \
602 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
603 sort -u`; \
604 test -z "$$locs" || { \
605 echo rm -f $${locs}; \
606 rm -f $${locs}; \
609 libitm.la: $(libitm_la_OBJECTS) $(libitm_la_DEPENDENCIES) $(EXTRA_libitm_la_DEPENDENCIES)
610 $(AM_V_GEN)$(libitm_la_LINK) -rpath $(toolexeclibdir) $(libitm_la_OBJECTS) $(libitm_la_LIBADD) $(LIBS)
612 mostlyclean-compile:
613 -rm -f *.$(OBJEXT)
615 distclean-compile:
616 -rm -f *.tab.c
618 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aatree.Plo@am__quote@
619 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc.Plo@am__quote@
620 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_c.Plo@am__quote@
621 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_cpp.Plo@am__quote@
622 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/barrier.Plo@am__quote@
623 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/beginend.Plo@am__quote@
624 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clone.Plo@am__quote@
625 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eh_cpp.Plo@am__quote@
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/futex.Plo@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwcap.Plo@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/local.Plo@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-gl.Plo@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-ml.Plo@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-serial.Plo@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/query.Plo@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/retry.Plo@am__quote@
634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rwlock.Plo@am__quote@
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sjlj.Plo@am__quote@
636 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tls.Plo@am__quote@
637 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/useraction.Plo@am__quote@
638 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
639 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_avx.Plo@am__quote@
640 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_sse.Plo@am__quote@
642 .S.o:
643 @am__fastdepCCAS_TRUE@ $(AM_V_CPPAS)$(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
644 @am__fastdepCCAS_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
645 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
646 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
647 @am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
649 .S.obj:
650 @am__fastdepCCAS_TRUE@ $(AM_V_CPPAS)$(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
651 @am__fastdepCCAS_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
652 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
653 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
654 @am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
656 .S.lo:
657 @am__fastdepCCAS_TRUE@ $(AM_V_CPPAS)$(LTCPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
658 @am__fastdepCCAS_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
659 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
660 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
661 @am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(LTCPPASCOMPILE) -c -o $@ $<
663 .cc.o:
664 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
665 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
666 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
670 .cc.obj:
671 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
672 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
673 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
677 .cc.lo:
678 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
679 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
680 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
684 mostlyclean-libtool:
685 -rm -f *.lo
687 clean-libtool:
688 -rm -rf .libs _libs
690 distclean-libtool:
691 -rm -f libtool config.lt
693 libitm.dvi: libitm.texi
694 $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
695 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
696 $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
697 `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
699 libitm.pdf: libitm.texi
700 $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
701 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
702 $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
703 `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
705 libitm.html: libitm.texi
706 $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
707 $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
708 -o $(@:.html=.htp) `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi; \
709 then \
710 rm -rf $@ && mv $(@:.html=.htp) $@; \
711 else \
712 rm -rf $(@:.html=.htp); exit 1; \
714 .dvi.ps:
715 $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
716 $(DVIPS) $(AM_V_texinfo) -o $@ $<
718 uninstall-dvi-am:
719 @$(NORMAL_UNINSTALL)
720 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
721 for p in $$list; do \
722 $(am__strip_dir) \
723 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
724 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
725 done
727 uninstall-html-am:
728 @$(NORMAL_UNINSTALL)
729 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
730 for p in $$list; do \
731 $(am__strip_dir) \
732 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
733 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
734 done
736 uninstall-info-am:
737 @$(PRE_UNINSTALL)
738 @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
739 list='$(INFO_DEPS)'; \
740 for file in $$list; do \
741 relfile=`echo "$$file" | sed 's|^.*/||'`; \
742 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
743 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
744 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
745 done; \
746 else :; fi
747 @$(NORMAL_UNINSTALL)
748 @list='$(INFO_DEPS)'; \
749 for file in $$list; do \
750 relfile=`echo "$$file" | sed 's|^.*/||'`; \
751 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
752 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
753 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
754 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
755 else :; fi); \
756 done
758 uninstall-pdf-am:
759 @$(NORMAL_UNINSTALL)
760 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
761 for p in $$list; do \
762 $(am__strip_dir) \
763 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
764 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
765 done
767 uninstall-ps-am:
768 @$(NORMAL_UNINSTALL)
769 @list='$(PSS)'; test -n "$(psdir)" || list=; \
770 for p in $$list; do \
771 $(am__strip_dir) \
772 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
773 rm -f "$(DESTDIR)$(psdir)/$$f"; \
774 done
776 dist-info: $(INFO_DEPS)
777 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
778 list='$(INFO_DEPS)'; \
779 for base in $$list; do \
780 case $$base in \
781 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
782 esac; \
783 if test -f $$base; then d=.; else d=$(srcdir); fi; \
784 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
785 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
786 if test -f $$file; then \
787 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
788 test -f "$(distdir)/$$relfile" || \
789 cp -p $$file "$(distdir)/$$relfile"; \
790 else :; fi; \
791 done; \
792 done
794 mostlyclean-aminfo:
795 -rm -rf libitm.t2d libitm.t2p
797 clean-aminfo:
798 -test -z "libitm.dvi libitm.pdf libitm.ps libitm.html" \
799 || rm -rf libitm.dvi libitm.pdf libitm.ps libitm.html
801 maintainer-clean-aminfo:
802 @list='$(INFO_DEPS)'; for i in $$list; do \
803 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
804 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
805 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
806 done
807 install-nodist_toolexeclibHEADERS: $(nodist_toolexeclib_HEADERS)
808 @$(NORMAL_INSTALL)
809 @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
810 if test -n "$$list"; then \
811 echo " $(MKDIR_P) '$(DESTDIR)$(toolexeclibdir)'"; \
812 $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)" || exit 1; \
813 fi; \
814 for p in $$list; do \
815 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
816 echo "$$d$$p"; \
817 done | $(am__base_list) | \
818 while read files; do \
819 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(toolexeclibdir)'"; \
820 $(INSTALL_HEADER) $$files "$(DESTDIR)$(toolexeclibdir)" || exit $$?; \
821 done
823 uninstall-nodist_toolexeclibHEADERS:
824 @$(NORMAL_UNINSTALL)
825 @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
826 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
827 dir='$(DESTDIR)$(toolexeclibdir)'; $(am__uninstall_files_from_dir)
829 # This directory's subdirectories are mostly independent; you can cd
830 # into them and run 'make' without going through this Makefile.
831 # To change the values of 'make' variables: instead of editing Makefiles,
832 # (1) if the variable is set in 'config.status', edit 'config.status'
833 # (which will cause the Makefiles to be regenerated when you run 'make');
834 # (2) otherwise, pass the desired values on the 'make' command line.
835 $(am__recursive_targets):
836 @fail=; \
837 if $(am__make_keepgoing); then \
838 failcom='fail=yes'; \
839 else \
840 failcom='exit 1'; \
841 fi; \
842 dot_seen=no; \
843 target=`echo $@ | sed s/-recursive//`; \
844 case "$@" in \
845 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
846 *) list='$(SUBDIRS)' ;; \
847 esac; \
848 for subdir in $$list; do \
849 echo "Making $$target in $$subdir"; \
850 if test "$$subdir" = "."; then \
851 dot_seen=yes; \
852 local_target="$$target-am"; \
853 else \
854 local_target="$$target"; \
855 fi; \
856 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
857 || eval $$failcom; \
858 done; \
859 if test "$$dot_seen" = "no"; then \
860 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
861 fi; test -z "$$fail"
863 ID: $(am__tagged_files)
864 $(am__define_uniq_tagged_files); mkid -fID $$unique
865 tags: tags-recursive
866 TAGS: tags
868 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
869 set x; \
870 here=`pwd`; \
871 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
872 include_option=--etags-include; \
873 empty_fix=.; \
874 else \
875 include_option=--include; \
876 empty_fix=; \
877 fi; \
878 list='$(SUBDIRS)'; for subdir in $$list; do \
879 if test "$$subdir" = .; then :; else \
880 test ! -f $$subdir/TAGS || \
881 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
882 fi; \
883 done; \
884 $(am__define_uniq_tagged_files); \
885 shift; \
886 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
887 test -n "$$unique" || unique=$$empty_fix; \
888 if test $$# -gt 0; then \
889 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
890 "$$@" $$unique; \
891 else \
892 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
893 $$unique; \
894 fi; \
896 ctags: ctags-recursive
898 CTAGS: ctags
899 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
900 $(am__define_uniq_tagged_files); \
901 test -z "$(CTAGS_ARGS)$$unique" \
902 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
903 $$unique
905 GTAGS:
906 here=`$(am__cd) $(top_builddir) && pwd` \
907 && $(am__cd) $(top_srcdir) \
908 && gtags -i $(GTAGS_ARGS) "$$here"
909 cscope: cscope.files
910 test ! -s cscope.files \
911 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
912 clean-cscope:
913 -rm -f cscope.files
914 cscope.files: clean-cscope cscopelist
915 cscopelist: cscopelist-recursive
917 cscopelist-am: $(am__tagged_files)
918 list='$(am__tagged_files)'; \
919 case "$(srcdir)" in \
920 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
921 *) sdir=$(subdir)/$(srcdir) ;; \
922 esac; \
923 for i in $$list; do \
924 if test -f "$$i"; then \
925 echo "$(subdir)/$$i"; \
926 else \
927 echo "$$sdir/$$i"; \
928 fi; \
929 done >> $(top_builddir)/cscope.files
931 distclean-tags:
932 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
933 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
934 check-am: all-am
935 check: check-recursive
936 all-am: Makefile $(INFO_DEPS) $(LTLIBRARIES) $(HEADERS) config.h \
937 all-local
938 installdirs: installdirs-recursive
939 installdirs-am:
940 for dir in "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(toolexeclibdir)"; do \
941 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
942 done
943 install: install-recursive
944 install-exec: install-exec-recursive
945 install-data: install-data-recursive
946 uninstall: uninstall-recursive
948 install-am: all-am
949 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
951 installcheck: installcheck-recursive
952 install-strip:
953 if test -z '$(STRIP)'; then \
954 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
955 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
956 install; \
957 else \
958 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
959 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
960 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
962 mostlyclean-generic:
964 clean-generic:
965 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
967 distclean-generic:
968 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
969 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
971 maintainer-clean-generic:
972 @echo "This command is intended for maintainers to use"
973 @echo "it deletes files that may require special tools to rebuild."
974 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
975 clean: clean-recursive
977 clean-am: clean-aminfo clean-generic clean-libtool clean-local \
978 clean-toolexeclibLTLIBRARIES mostlyclean-am
980 distclean: distclean-recursive
981 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
982 -rm -rf ./$(DEPDIR)
983 -rm -f Makefile
984 distclean-am: clean-am distclean-compile distclean-generic \
985 distclean-hdr distclean-libtool distclean-local distclean-tags
987 dvi: dvi-recursive
989 dvi-am: $(DVIS)
991 html: html-recursive
993 html-am: $(HTMLS)
995 info: info-recursive
997 info-am: $(INFO_DEPS)
999 install-data-am: install-info-am
1001 install-dvi: install-dvi-recursive
1003 install-dvi-am: $(DVIS)
1004 @$(NORMAL_INSTALL)
1005 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1006 if test -n "$$list"; then \
1007 echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
1008 $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
1009 fi; \
1010 for p in $$list; do \
1011 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1012 echo "$$d$$p"; \
1013 done | $(am__base_list) | \
1014 while read files; do \
1015 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1016 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1017 done
1018 install-exec-am: install-exec-local install-nodist_toolexeclibHEADERS \
1019 install-toolexeclibLTLIBRARIES
1021 install-html: install-html-recursive
1023 install-html-am: $(HTMLS)
1024 @$(NORMAL_INSTALL)
1025 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1026 if test -n "$$list"; then \
1027 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
1028 $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
1029 fi; \
1030 for p in $$list; do \
1031 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1032 $(am__strip_dir) \
1033 d2=$$d$$p; \
1034 if test -d "$$d2"; then \
1035 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1036 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1037 echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1038 $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1039 else \
1040 list2="$$list2 $$d2"; \
1041 fi; \
1042 done; \
1043 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1044 while read files; do \
1045 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1046 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1047 done; }
1048 install-info: install-info-recursive
1050 install-info-am: $(INFO_DEPS)
1051 @$(NORMAL_INSTALL)
1052 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1053 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1054 if test -n "$$list"; then \
1055 echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
1056 $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
1057 fi; \
1058 for file in $$list; do \
1059 case $$file in \
1060 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1061 esac; \
1062 if test -f $$file; then d=.; else d=$(srcdir); fi; \
1063 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1064 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1065 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1066 if test -f $$ifile; then \
1067 echo "$$ifile"; \
1068 else : ; fi; \
1069 done; \
1070 done | $(am__base_list) | \
1071 while read files; do \
1072 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1073 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1074 @$(POST_INSTALL)
1075 @if $(am__can_run_installinfo); then \
1076 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1077 for file in $$list; do \
1078 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1079 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1080 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1081 done; \
1082 else : ; fi
1083 install-man:
1085 install-pdf: install-pdf-recursive
1087 install-pdf-am: $(PDFS)
1088 @$(NORMAL_INSTALL)
1089 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1090 if test -n "$$list"; then \
1091 echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1092 $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
1093 fi; \
1094 for p in $$list; do \
1095 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1096 echo "$$d$$p"; \
1097 done | $(am__base_list) | \
1098 while read files; do \
1099 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1100 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1101 install-ps: install-ps-recursive
1103 install-ps-am: $(PSS)
1104 @$(NORMAL_INSTALL)
1105 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1106 if test -n "$$list"; then \
1107 echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
1108 $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
1109 fi; \
1110 for p in $$list; do \
1111 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1112 echo "$$d$$p"; \
1113 done | $(am__base_list) | \
1114 while read files; do \
1115 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
1116 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
1117 installcheck-am:
1119 maintainer-clean: maintainer-clean-recursive
1120 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1121 -rm -rf $(top_srcdir)/autom4te.cache
1122 -rm -rf ./$(DEPDIR)
1123 -rm -f Makefile
1124 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
1125 maintainer-clean-generic maintainer-clean-local
1127 mostlyclean: mostlyclean-recursive
1129 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
1130 mostlyclean-generic mostlyclean-libtool mostlyclean-local
1132 pdf: pdf-recursive
1134 pdf-am: $(PDFS)
1136 ps: ps-recursive
1138 ps-am: $(PSS)
1140 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
1141 uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
1142 uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
1144 .MAKE: $(am__recursive_targets) all install-am install-strip
1146 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am all-local \
1147 am--refresh check check-am clean clean-aminfo clean-cscope \
1148 clean-generic clean-libtool clean-local \
1149 clean-toolexeclibLTLIBRARIES cscope cscopelist-am ctags \
1150 ctags-am dist-info distclean distclean-compile \
1151 distclean-generic distclean-hdr distclean-libtool \
1152 distclean-local distclean-tags dvi dvi-am html html-am info \
1153 info-am install install-am install-data install-data-am \
1154 install-dvi install-dvi-am install-exec install-exec-am \
1155 install-exec-local install-html install-html-am install-info \
1156 install-info-am install-man install-nodist_toolexeclibHEADERS \
1157 install-pdf install-pdf-am install-ps install-ps-am \
1158 install-strip install-toolexeclibLTLIBRARIES installcheck \
1159 installcheck-am installdirs installdirs-am maintainer-clean \
1160 maintainer-clean-aminfo maintainer-clean-generic \
1161 maintainer-clean-local mostlyclean mostlyclean-aminfo \
1162 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1163 mostlyclean-local pdf pdf-am ps ps-am tags tags-am uninstall \
1164 uninstall-am uninstall-dvi-am uninstall-html-am \
1165 uninstall-info-am uninstall-nodist_toolexeclibHEADERS \
1166 uninstall-pdf-am uninstall-ps-am \
1167 uninstall-toolexeclibLTLIBRARIES
1169 .PRECIOUS: Makefile
1172 vpath % $(strip $(search_path))
1173 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm.map-sun : $(top_srcdir)/libitm.map \
1174 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/../contrib/make_sunver.pl \
1175 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS) $(libitm_la_LIBADD)
1176 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ perl $(top_srcdir)/../contrib/make_sunver.pl \
1177 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/libitm.map \
1178 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS:%.lo=.libs/%.o) \
1179 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ `echo $(libitm_la_LIBADD) | \
1180 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ sed 's,/\([^/.]*\)\.la,/.libs/\1.a,g'` \
1181 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ > $@ || (rm -f $@ ; exit 1)
1182 # Make sure -msse is appended at the end.
1183 @ARCH_X86_TRUE@x86_sse.lo : override CXXFLAGS += -msse
1184 # Make sure -mavx is appended at the end.
1185 @ARCH_X86_AVX_TRUE@x86_avx.lo : override CXXFLAGS += -mavx
1187 all-local: $(STAMP_GENINSRC)
1189 stamp-geninsrc: libitm.info
1190 cp -p $(top_builddir)/libitm.info $(srcdir)/libitm.info
1191 @touch $@
1193 libitm.info: $(STAMP_BUILD_INFO)
1195 stamp-build-info: libitm.texi
1196 $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) -o libitm.info $(srcdir)/libitm.texi
1197 @touch $@
1199 # GNU Make needs to see an explicit $(MAKE) variable in the command it
1200 # runs to enable its job server during parallel builds. Hence the
1201 # comments below.
1202 all-multi:
1203 $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
1204 install-multi:
1205 $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
1206 mostlyclean-multi:
1207 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
1208 clean-multi:
1209 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
1210 distclean-multi:
1211 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
1212 maintainer-clean-multi:
1213 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
1215 .MAKE .PHONY: all-multi clean-multi distclean-multi install-am \
1216 install-multi maintainer-clean-multi mostlyclean-multi
1218 install-exec-local: install-multi
1220 all-local: all-multi
1221 mostlyclean-local: mostlyclean-multi
1222 clean-local: clean-multi
1223 distclean-local: distclean-multi
1224 maintainer-clean-local: maintainer-clean-multi
1226 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1227 # Otherwise a system limit (for SysV at least) may be exceeded.
1228 .NOEXPORT: